
package Logic;

class FalseState extends AState
{
	/** @SBGen Singleton Variable   */
	private static FalseState instance;	/** @SBGen Constructor   */
	private FalseState()
	{
	}

	/**
	 * @param host 
	 * @param algo 
	 * @param param 
	 * @return 
	 */
	Object execute(Logical host, ILogicAlgo algo, Object param)
	{
		return (algo.falseCase(host, param)); // NYI 
	}

	/**
	 * @return 
	 * @SBGen Singleton 
	 */
	public static FalseState Singleton()
	{
		// SBgen: Ensure single instance
		if (instance == null) 
			instance = new FalseState();
		return(instance);
		// SBgen: End singleton
	}
}

